import { AdminServiceService } from "./admin.service.service";
import { CreateServiceDto, UpdateServiceDto } from "./service.dto";
export declare class AdminServiceController {
    private readonly AdminServiceService;
    constructor(AdminServiceService: AdminServiceService);
    create(createServiceDto: CreateServiceDto): Promise<{
        status: boolean;
        message: string;
    }>;
    findAll(shopId: number): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/service/service.entity").Service[];
    }>;
    findOne(id: string): Promise<{
        status: boolean;
        message: string;
        data: Promise<import("../../common/service/service.entity").Service>;
    }>;
    update(id: string, updateServiceDto: UpdateServiceDto): Promise<{
        status: boolean;
        message: string;
    }>;
    remove(id: string): Promise<{
        status: boolean;
        message: string;
    }>;
}
